summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2024-01-23 12:50:25 -0500
committerMichael Orlitzky <mjo@gentoo.org>2024-01-24 10:54:40 -0500
commitc5f7cb6c9cebcb3551129940b24f2377de503702 (patch)
tree23ab1d509aad7d9b6a1a97c9b069a9022b521760 /eclass/gap-pkg.eclass
parentapp-arch/pdlzip: Bump to 1.13 (diff)
downloadgentoo-c5f7cb6c9cebcb3551129940b24f2377de503702.tar.gz
gentoo-c5f7cb6c9cebcb3551129940b24f2377de503702.tar.bz2
gentoo-c5f7cb6c9cebcb3551129940b24f2377de503702.zip
gap-pkg.eclass: enable pipefail when piping tests through tee
In src_test(), we are running, ${gapcmd} | tee test-suite.log to work around a terminal corruption issue in dev-gap/browse. This pipe however has the unfortunate side effect of hiding failures in ${gapcmd} behind the success of tee. To fix that, we enable pipefail for the duration of the command above. Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Diffstat (limited to 'eclass/gap-pkg.eclass')
-rw-r--r--eclass/gap-pkg.eclass2
1 files changed, 2 insertions, 0 deletions
diff --git a/eclass/gap-pkg.eclass b/eclass/gap-pkg.eclass
index 89c158674b0f..e242cc92e8a3 100644
--- a/eclass/gap-pkg.eclass
+++ b/eclass/gap-pkg.eclass
@@ -231,8 +231,10 @@ gap-pkg_src_test() {
# The "browse" package is however smart enough to figure out when
# stdout is not a tty, and avoids breaking it in that case. So by
# piping to tee, we encourage it not to do anything too crazy.
+ eshopts_push -o pipefail
${gapcmd} | tee test-suite.log \
|| die "test suite failed, see test-suite.log"
+ eshopts_pop
}
# @ECLASS_VARIABLE: GAP_PKG_EXTRA_INSTALL